### Enumeration

# Fwupd TrustFlags

unstable since: 2.0

#### Declaration

    flags Fwupd.TrustFlags

#### Description [src]

The flags to show the level of trust.

Available since: 2.0

#### Members

`FWUPD_TRUST_FLAG_NONE`

  No trust.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_TRUST_FLAG_PAYLOAD`

  The firmware is trusted.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_TRUST_FLAG_METADATA`

  The metadata is trusted.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0